> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pubrio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 회사 광고 내보내기

> 지정한 회사의 광고 레코드를 다운로드 가능한 데이터셋으로 내보냅니다. `data_export_credit`를 소비합니다.



## OpenAPI

````yaml ko-openapi POST /companies/advertisements/export
openapi: 3.0.0
info:
  description: >-
    Pubrio API는 마켓 확장 인텔리전스를 제공합니다——기업의 신규 시장 진입을 포착하는 실시간 시그널과 그 기반이 되는 기업·인물
    데이터. 계정과 연락처를 검색·조회·보강하고, 200+ 시장에 걸친 유형·날짜가 있는 움직임 시그널을 구독하세요.
  version: 1.0.0
  title: Pubrio OpenAPI
  termsOfService: https://pubrio.com/ko/terms-of-service
  contact:
    email: king.lai@pubrio.com
    name: King Lai
    url: https://pubrio.com/ko/get-in-touch
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - url: https://api.pubrio.com
security:
  - pubrio_api_key: []
tags:
  - name: Profile
    description: 워크스페이스 프로필 정보 및 사용량 통계
  - name: Enrichment
    description: 상세한 B2B 데이터로 인물 및 기업 레코드를 보강
  - name: Lookalike
    description: 지정된 기업과 유사한 기업 검색
  - name: Search
    description: 필터를 사용하여 인물, 기업, 채용, 뉴스 및 광고 검색
  - name: Lookup
    description: 특정 인물, 기업, 채용, 뉴스, 광고 및 기술의 상세 정보 조회
  - name: LinkedIn
    description: LinkedIn 프로필 URL을 통한 인물 및 기업 데이터 조회
  - name: Redeem
    description: 크레딧을 사용하여 인물 연락처 정보 잠금 해제 (단건 및 배치)
  - name: Channels
    description: 아웃리치 채널 템플릿 관리 (생성, 수정, 삭제, 목록)
  - name: Monitor
    description: 웹훅, 통계 및 처리를 포함한 데이터 모니터 생성 및 관리
  - name: Filters
    description: 검색 매개변수에 사용 가능한 필터 값 조회 (기술, 지역, 버티컬 등)
  - name: API Keys
    description: API 키의 요청 로그 및 사용량 분석 조회
  - name: Insights
    description: 회사의 신호 집계 인사이트(채용, 뉴스, 광고).
  - name: Export
    description: 대량 데이터 내보내기(크레딧 차감).
  - name: Expansion
    description: '회사 시장 확장 인텔리전스: 신호, 단계, 시장, 내보내기.'
externalDocs:
  description: >-
    Pubrio API는 연락처와 계정 정보를 검색, 미리보기, 그리고 보강하는 데 사용됩니다. Pubrio 데이터베이스는 풍부한 B2B
    연락처 및 영업 인텔리전스 데이터를 제공합니다.
  url: https://docs.pubrio.com
paths:
  /companies/advertisements/export:
    post:
      tags:
        - Export
      summary: 광고 내보내기
      description: 지정한 회사의 광고 레코드를 다운로드 가능한 데이터셋으로 내보냅니다. `data_export_credit`를 소비합니다.
      operationId: companies_advertisements_export
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - companies
              properties:
                companies:
                  $ref: '#/components/schemas/companies'
                domains:
                  $ref: '#/components/schemas/domains'
                exclude_fields:
                  $ref: '#/components/schemas/exclude_fields'
                exclude_data_export_fields:
                  type: array
                  items:
                    type: string
                  example:
                    - raw_html
                  description: >-
                    생성된 내보내기 파일에서 제외할 열입니다(각 레코드에서 필드를 제거하는 `exclude_fields`와는
                    별개입니다).
                profile_id:
                  $ref: '#/components/schemas/profile_id'
      responses:
        '200':
          description: 내보낸 레코드입니다. `data_export_credit` 잔액에서 차감됩니다.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                    description: 내보낸 레코드이며, `exclude_fields`에서 지정한 필드는 제거되었습니다.
components:
  schemas:
    companies:
      type: array
      items:
        type: string
        format: uuid
      description: 회사 및 인물 조회 작업을 위한 고유 식별자(domain_search_id) 목록.
    domains:
      type: array
      items:
        type: string
      example:
        - pubrio.com
      description: >-
        회사 및 인물 조회 작업에 사용되는 회사 도메인 목록입니다. 입력된 주소가 `www.pubrio.com` 또는
        `https://docs.pubrio.com/`인 경우, 시스템은 이를 자동으로 `pubrio.com`으로 변환하여 처리합니다.
    exclude_fields:
      type: array
      items:
        type: string
      example:
        - emails
        - phones
        - contacts
      description: 응답 페이로드에서 제외할 필드 목록입니다.
    profile_id:
      type: integer
      description: >-
        선택 사항. 요청을 수행하는 팀 식별자입니다. API 키에 이미 워크스페이스 정보가 포함되어 있으므로 이 매개변수는 더 이상
        필수가 아닙니다. 제공되면 조회 및 사용 크레딧 추적을 위해 특정 팀(작업 공간)과 연계됩니다.


        자세한 내용은 팀 탭의 `user details` 엔드포인트를 참고하세요.
  securitySchemes:
    pubrio_api_key:
      type: apiKey
      name: pubrio-api-key
      description: >-
        API에서 수행하는 작업 및 해당 권한을 식별하는 고유한 API 토큰입니다. 이 토큰은
        [설정](https://dashboard.pubrio.com/#/settings/) 섹션에서 생성할 수 있습니다.
      in: header

````